Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## probability_distribution
Class UniformDist

    java.lang.Object
      probability_distribution.ProbabilityDist
          probability_distribution.UniformDist

    public class UniformDist

extends ProbabilityDist

This class implements the Exponential distribution.

Author:
  Majd Kokaly

Constructor Summary
`UniformDist(double percentage)` Invoking this is equivalent to invoke UniformDist(1, percentage, true)
`UniformDist(double lowerLimit, double upperLimit)` A constructor that produce a UniformDist object that return number between a lowerLimit and a upperLimit of range.
`UniformDist(double ammount, double percentage, boolean dummy)` A constructor that produce a UniformDist object that return number between a amount - (percentage*amount) and a amount + (percentage*amount).

Method Summary
`double` | `FInverse(double x)` Every Probability Distribution should include a function which returns the inverse of probability function

Methods inherited from class probability_distribution.ProbabilityDist
`getNextValue, getTimeToNextEvent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniformDist

    public UniformDist(double lowerLimit,
                       double upperLimit)

  A constructor that produce a UniformDist object that return number between a lowerLimit and a upperLimit of range. For example invoking UniformDist(1,9) will create an UniformDist object that produces number in the period [1,9)

  Parameters:
    `lowerLimit` - defines the beginning of the range.
    `upperLimit` - defines the end of the range.

### UniformDist

    public UniformDist(double ammount,
                       double percentage,
                       boolean dummy)

  A constructor that produce a UniformDist object that return number between a amount - (percentage*amount) and a amount + (percentage*amount). For example invoking UniformDist(10, 0.20, true) will create an UniformDist object that produces number in the period [9,11)

  Parameters:
    `ammount` - defines the mean of this distribution
    `percentage` - determine the length of the range. (amount * percentage *2) is the length of the range.
    `dummy` - just a dummy value to distinguish this constructor from the other ones

### UniformDist

    public UniformDist(double percentage)

  Invoking this is equivalent to invoke UniformDist(1, percentage, true)

  Parameters:
    `percentage` - determine the length of the range. (percentage * 2) is the length of the range.

Method Detail

### FInverse

    public double FInverse(double x)

  Description copied from class: `ProbabilityDist`
  Every Probability Distribution should include a function which returns the inverse of probability function

  Specified by:
    `FInverse` in class `ProbabilityDist`
  Returns:
  See Also:
    `ProbabilityDist.getNextValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD